### Method

# Gtk Snapshot push_cross_fade

#### Declaration [src]

    void
    gtk_snapshot_push_cross_fade (
      GtkSnapshot* snapshot,
      double progress
    )

#### Description [src]

Snapshots a cross-fade operation between two images with the given `progress`.

Until the first call to `gtk_snapshot_pop()`, the start image will be snapshot. After that call, the end image will be recorded until the second call to `gtk_snapshot_pop()`.

Calling this function requires two subsequent calls to `gtk_snapshot_pop()`.

#### Parameters

`progress`

  Type: `double`

  Progress between 0.0 and 1.0.